module.exports = {
  create: {
    requestBody: ['money', 'pay_id', 'school_id', 'lesson_id', 'student_id', 'coach_id', 'result', 'reason', 'img_url'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['money', 'pay_id', 'school_id', 'lesson_id', 'student_id', 'coach_id', 'result', 'reason', 'img_url'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        school_id: 'school_id',
        lesson_id: 'lesson_id',
        student_id: 'student_id',
        coach_id: 'coach_id',
        result: 'result',
        pay_id: 'pay_id',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  toPay: {
    requestBody: ['!id', '!payer_id'],
  },
};
