module.exports = {
  create: {
    requestBody: ['school_id', 'payer_id', 'payer_role', 'money', 'pay_id', 'is_pay', 'time'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['school_id', 'payer_id', 'payer_role', 'money', 'pay_id', 'is_pay', 'time'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        school_id: 'school_id',
        payer_id: 'payer_id',
        payer_role: 'payer_role',
        is_pay: 'is_pay',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
