module.exports = {
  create: {
    requestBody: ['pay_id', 'is_pay', 'lesson_id', 'school_id', 'student_id', 'money', 'is_try', 'try_status'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['pay_id', 'is_pay', 'lesson_id', 'school_id', 'student_id', 'money', 'is_try', 'try_status'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        lesson_id: 'lesson_id',
        school_id: 'school_id',
        student_id: 'student_id',
        money: 'money',
        is_try: 'is_try',
        try_status: 'try_status',
        is_pay: 'is_pay',
        pay_id: 'pay_id',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  toComputed: {
    requestBody: ['!lesson_id', '!student_id'],
  },
  checkCanUse: {
    requestBody: ['!lesson_id', '!school_id', '!student_id'],
  },
};
