module.exports = {
  create: {
    requestBody: ['openid', 'school_id', 'payer_id', 'payer_role', 'pay_for', 'from_id', 'money', 'time', 'order_no', 'desc', 'status', 'config'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['openid', 'school_id', 'payer_id', 'payer_role', 'pay_for', 'from_id', 'money', 'time', 'order_no', 'desc', 'status', 'config'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        openid: 'openid',
        school_id: 'school_id',
        payer_id: 'payer_id',
        from_id: 'from_id',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  closeOrder: {
    requestBody: ['!id'],
  },
  toRefund: {
    requestBody: ['!id'],
  },
  toRePay: {
    requestBody: ['!id'],
  },
  toPayNative: {
    requestBody: ['!school_id', 'pay_for', 'from_id', 'money', 'time', 'desc'],
  },
};
