'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');

// 学员
const student = {
  name: { type: String, required: false, zh: '姓名' }, //
  icon: { type: Array, required: false, zh: '头像' }, //
  gender: { type: String, required: false, zh: '性别' }, //
  age: { type: Number, required: false, zh: '年龄' }, //
  phone: { type: String, required: false, zh: '联系电话' }, //
  level: { type: String, required: false, zh: '等级' }, //
  brief: { type: String, required: false, zh: '简介' }, //
  honer: { type: String, required: false, zh: '荣誉' }, //
  exp: { type: String, required: false, zh: '训练经历' }, //
  user_id: { type: String, required: false, zh: '用户id', ref: 'User' }, //
};
const schema = new Schema(student, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.index({ name: 1 });
schema.index({ user_id: 1 });

schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Student', schema, 'student');
};
